Get active Playbook Release
GET
/v1/ai/agents/{agentID}/playbook-releases/activeAuthorization
sessionsessionrequiredPath parameters
agentIDstringrequiredQuery parameters
environmentstringResponses
200OK
activated_atstringagent_idstringrequiredcreated_atstringrequiredcreated_bystringenvironmentstringrequiredidstringrequireditemsReleaseItem[] | nullShow propertiesHide properties
Array of
ReleaseItemenabledbooleanrequiredfallback_kindstringrequiredidstringrequiredplaybook_idstringrequiredplaybook_version_idstringrequiredpriorityinteger<int64>requiredrelease_idstringrequiredrollout_percentinteger<int64>requirednotesstringorganization_idstringrequiredprevious_release_idstringstatusstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/ai/agents/string/playbook-releases/active"const response = await fetch("/v1/ai/agents/string/playbook-releases/active", {
method: "GET"
});import requests
response = requests.get(
"/v1/ai/agents/string/playbook-releases/active",
)Response
{
"activated_at": "string",
"agent_id": "string",
"created_at": "string",
"created_by": "string",
"environment": "string",
"id": "string",
"items": [
{
"enabled": true,
"fallback_kind": "string",
"id": "string",
"playbook_id": "string",
"playbook_version_id": "string",
"priority": 0,
"release_id": "string",
"rollout_percent": 0
}
],
"notes": "string",
"organization_id": "string",
"previous_release_id": "string",
"status": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}